=== libs/libetpan/src/driver/Makefile ===
top_builddir = ../..

SUBLIBS = interface/libinterface.la \
	tools/libtools.la \
	implementation/libimplementation.la


SUBDIRS = interface \
	tools \
	implementation


TARGET = libdriver

include $(top_builddir)/Rules
