=== src/mod/codecs/mod_g711/Makefile ===
BASE=../../../..
LOCAL_CFLAGS=-I$(BASE)/libs/codec/g7xx/src/include
include $(BASE)/build/modmake.rules
